org.apache.commons.math.exception

## Class MathInternalError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.commons.math.exception.MathIllegalStateException
          - - org.apache.commons.math.exception.MathInternalError

All Implemented Interfaces:
  Serializable, MathThrowable

    public class MathInternalError
    extends MathIllegalStateException

Exception triggered when something that shouldn't happen does happen.

Since:
  2.2
Version:
  $Revision: 1061496 $ $Date: 2011-01-20 21:32:16 +0100 (jeu. 20 janv. 2011) $
See Also:
  Serialized Form

### Field Summary

Fields
`private static String` `REPORT_URL` URL for reporting problems.
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`MathInternalError()` Simple constructor.
`MathInternalError(Throwable cause)` Simple constructor.

### Method Summary

### Methods inherited from class org.apache.commons.math.exception.MathIllegalStateException

`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getSpecificPattern`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

#### REPORT_URL

    private static final String REPORT_URL

URL for reporting problems.

See Also:
  Constant Field Values

### Constructor Detail

#### MathInternalError

    public MathInternalError()

Simple constructor.

#### MathInternalError

    public MathInternalError(Throwable cause)

Simple constructor.

Parameters:
  `cause` - root cause